Packages - Bug #2877

[core/pambase] can not login after upgrade (systemd)
2020-08-27 01:46 AM - chbinnc

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

Failed to login if not manually replace system-login with system-login.pacnew

History

#1 - 2020-08-30 01:55 AM - bill-auger

- Status changed from unconfirmed to confirmed

if you have a file: /etc/pam.d/system-login.pacnew, the changes in it need to be merged into /etc/pam.d/system-login

this is not really a bug - whenever pacman installs .pacnew files, it gives a message suggesting that you should inspect it, and make the necessary
changes

#2 - 2020-09-08 01:08 AM - chbinnc
- File bug_report.txt added

Today | updated Archlinux ARM for Raspberry Pi 3, and pambase was also upgraded to the same version, | found that there was not any
system-login.pacnew in the log, and looked like system-login was directly renewed. | can't recall manually changing that file in my Parabola system
before

#3 - 2020-09-08 01:56 AM - bill-auger

i am confused then - that last message contradicts the title of this bug report
was that last message about a different system?

if you had not modified the system-login file, and pacman replaced it, then there should be no problem - its not clear from anything in the BR yet, if
you are actually having a problem with your computer - are you actually having a problem with your computer; or is this a friendly reminder of your
experience?

#4 - 2020-09-09 04:39 AM - chbinnc

bill-auger wrote:
i am confused then - that last message contradicts the title of this bug report
was that last message about a different system?

if you had not modified the system-login file, and pacman replaced it, then there should be no problem - its not clear from anything in the BR yet,
if you are actually having a problem with your computer - are you actually having a problem with your computer; or is this a friendly reminder of
your experience?

Sorry for the confusion. | have two machines, one is a x86 laptop and with Parabola installed, one is a Raspberry Pi with Archlinux ARM installed.

this is not really a bug - whenever pacman installs .pacnew files, it gives a message suggesting that you should inspect it, and make the
necessary changes

Imho this is still a bug for Parabola, because | didn't have this issue on Archlinux ARM. | just checked change log of pambase:

For x86_64 there isn't any change log. https:/git.parabola.nu/abslibre.qgit/log/core/pambase

For nonsystemd there is some change for system-login.

https://qgit.parabola.nu/abslibre.git/commit/nonsystemd/pambase ?id=345ee6fdadae636ce50f4876a47129596d6c0d94. | use the nonsystemd version,
and guess that's why a new system-login.pacnew file is created.

But if a user don't carefully check the log when updating system, shut down their machine, then they can't login again, which is a severe issue, for me
| used a Live USB stick to find and solve the issue. Imho the team who is maintaining nonsystemd repo might use a better method to modify and
update pambase so that a user didn't need to manually replace system-login with system-login.pacnew.
#5 - 2020-10-19 06:33 PM - bill-auger
- Description updated

- Subject changed from [pambase] Failed to login if not manually replace system-login with system-login.pacnew to [core/pambase] can not login after
upgrade (systemd)

#6 - 2020-10-19 06:36 PM - bill-auger
- File deleted (bug_report.txt)

#7 - 2020-12-04 08:25 AM - bill-auger

- Status changed from confirmed to not-a-bug
